/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ************************ ***********************************************************************************************
 *
 * $Id: TaxonVideoFactSheetAndroidController.java,v 8656dd4f49ae 2010/07/16 17:21:40 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.video;

import android.app.Activity;
import javax.annotation.Nonnull;
import it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.NodesAdapter;
import it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.TaxonFactSheetAndroidController;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.TaxonFactSheetUI;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.video.TaxonVideoFactSheetController;
import it.tidalwave.bluebill.taxonomy.Taxon;
import android.widget.BaseAdapter;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.FactSheetProvider;
import javax.annotation.CheckForNull;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class TaxonVideoFactSheetAndroidController extends TaxonVideoFactSheetController
                                                  implements TaxonFactSheetAndroidController<TaxonFactSheetUI>
  {
    @CheckForNull
    private NodesAdapter nodesAdapter;

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public TaxonVideoFactSheetAndroidController (final @Nonnull TaxonFactSheetUI ui, 
                                                 final @Nonnull Taxon taxon,
                                                 final @Nonnull FactSheetProvider factSheetProvider)
      {
        super(ui, taxon, factSheetProvider);
      }

    @Nonnull
    public synchronized BaseAdapter getListAdapter()
      {
        if (nodesAdapter == null)
          {
            nodesAdapter = new NodesAdapter((Activity) ui, nodes);
          }
        
        return nodesAdapter;
      }
  }
